For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new product link

Create new product link

Required permissions: PRODUCT

post
/tenants/{tenantUid}/products/{productUid}/links
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
linkTypestring · enumRequired
ENUMDescription
INSURANCEInsurance products allowed to be added to the product
ALTERNATIVEAlternative products if the main product is not available
ACCESSORYAccessory products for the main product
SPARE_PARTSpare part that can be used to repair the product
SERVICEService products.
FREIGHT_SERVICEFreight service products.
AUTO_ADDThe products will be auto added to the order and can not be removed without removing the main product.
Possible values:
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productLinkUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
productLinkUidstringRequiredPattern: ^[A-Za-z0-9-_]+
linkTypestring · enumRequired
ENUMDescription
INSURANCEInsurance products allowed to be added to the product
ALTERNATIVEAlternative products if the main product is not available
ACCESSORYAccessory products for the main product
SPARE_PARTSpare part that can be used to repair the product
SERVICEService products.
FREIGHT_SERVICEFreight service products.
AUTO_ADDThe products will be auto added to the order and can not be removed without removing the main product.
Possible values:
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/products/{productUid}/links
POST /v2/tenants/{tenantUid}/products/{productUid}/links HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "linkType": "INSURANCE",
  "productUid": "text",
  "productLinkUid": "text"
}
200

Example response

{
  "productLinkUid": "text",
  "linkType": "INSURANCE",
  "productUid": "text"
}

Last updated

Was this helpful?